BlackBerry OS 4.5 now available from BlackBerry.com/Upgrades. No, seriously.

View Comments

For those of you that have been suffering through the indignity of OS 4.3 on your BlackBerry Curve and Pearl when your friends are rockin’ their BlackBerry Bolds, Pearl Flips and Storms, struggle no more! You’ve patiently waited for the “official version” of the OS and your wait is no more. Unlike what we believed in September, www.blackberry.com/upgrades, allows for an official OS 4.5 update. So far, we have confirmed this on Sprint and Verizon.

Let us know in the comments if your carrier is allowing an upgrade to 4.5 as well. Note that using this upgrade requires Internet Explorer. HTML email, geotagging photos and streaming video, here we come (don’t forget in-line spell check, ed.)!

Download OS 4.5 for your BlackBerry

  • Booya!
    It's finally here! http://www.vzam.net/blackberry/ Loading it now.
  • ANGELICA
    T-mobile does not support anything higher than 4.3 on the Pearl's. :/
  • jeff
    YESSS. MMS is working on my Sprint Curve 8330 with OS 4.5 update.
    Finally!
  • Nan Palmero
    @dylan thank you so much!
  • Nan Palmero
    @alex check this out, should help ya - http://www.google.com/search?hl=en&q=blackb...
  • Alex
    Help. I was trying to download the 4.5 os on my 8830 and it just completely stopped working. Now it is fashing red and will not turn on. Did I completely kill my blackberry?
  • Dylan
    Alltel has it released as well. You can do it through Desktop manager 4.7 or from this link

    http://software.alltel.com/software.aspx?device...

    I'm in the process of updating mine right now.
  • Nan Palmero
    @chad w here is 4.5.0.119 for the 8330 - http://www.mediafire.com/file/c4zm52ml2mz/4.5.0...
  • chad w
    hey there i have the 8330 with altell and looking for the 4.5 any help?
  • DavidB
    @cathleen:
    Sprint still hasn't released 4.5? That sucks! But, yes, Verizon 8330 device software will work on ANY 8330 from ANY carrier. And yes you have to delete vendor.xml for any carrier except the source. So you can get ANY carrier OS that specifies 8330 and use it on your Sprint 8330 after deleting vendor.xml. The only time deleting is not required is if the OS you get is specified to be for your carrier.

    And in case anyone is thinking to ask, NO, you can't use 8330 software on any other Curve. Nor can you use 8300/8310/8320/8350 software on an 8330.
  • cathleen
    if i have a sprint 8330, can i just download for example the verizon update?
    would it work? and if it will will i need to delete the vendor file?
  • @Mossman,

    Aha! You're on a BES! Then you should talk to your IT admin. Usually new features/policies that come with OS updates are defaulted to 'off', so talk to the techies.
  • Mossman
    @ BlackBerry Cool, the only options I have under the spell check heading in message options are:
    Ignore Case
    Ignore Acronyms
    Ignore Words With Numbers
    Spell Check Email Before Sending
    Minimum Sized Word To Check
    Custom Dictionary

    Again, I'm running OS 4.5.0.77 on a VZW Curve 8330.

    Thanks again if you can help me reveal this "As You Type" spell-checking option. Could this be tied to some function or policy on my BES? I spell pretty well, but if there's a feature I can have, I at least want the option!
  • @jsig,

    Here's some AT&T; OS 4.5 love for you!

    http://www.blackberrycool.com/2008/12/att-relea...
  • Also,

    I should have posted this a long time ago, but here's a link to our OS Upgrade How-To, in case you're clueless about what to do after you've downloaded the new OS.

    http://www.blackberrycool.com/2008/08/how-to-up...
  • @Mossman, are you still having issues with in-line spellcheck?

    You should have a 'Spellcheck' heading under your 'messages options' menu. Make sure 'Check spelling As you Type' is selected.
  • jsig
    any idea when ATT will Upgrade to 4.5 on 8310 ??
  • Ryan
    I have an 8310 and have DL the 4.5 software 3 times from 3 diff sites. I deleted the vender file. also have the latest version of desktop manager. When I run the manager it finds NO NEW UPGRADES WTF!! Been at this for hours and I'm about destroy this piece of sh#@!
  • Dave
    I have the Verizon 8830. Where do I download the new version 4.5.0.97 update or newer?
    Dave
  • JP
    I was able to fixed the screen/keyboard issue and white fonts. I redid the OS upgrade and left some files untouch like the semetic and europepean fonts. Seemed it did the trick! :)
    Thanks so much for great guide!
  • g
    got 4.5!!
  • Dasien
    Ever since upgrading, I am getting a "Mishandled Exception" error message that won't go away, and I have to Reset my phone numerous times a day. Why?!?!
  • DavidB
    @Mossman:
    I too have a Verizon Blackberry, though it's a 8830 running 4.5.0.101. The only "predictive" text I've ever seen on a Blackberry is on Suretype models, so not sure what "inline" spell check would be either or how it evidences itself versus not being there.
  • Mossman
    Nan, maybe I've misunderstood the nature of the in-line spell check. I'm not so certain of how it should function now. What I have now will allow me to spell check on demand or every time I send an email. The in-line spellcheck should highlight misspelled words as they are typed in an active message, right? If the latter is the case, then I don't have that and I'm running 4.5.0.77 on a Verizon Curve 8330. So do I have the right stuff, or am I somehow missing some functions? Thanks for any help.
  • JP
    oops I mean 8330!
  • JP
    Got my Sprint Curve 8830 upgraded to 4.5.0.97! Thanks Nan! But alas I must have done something as the font are white everywhere and hard to read. I followed John Clark's procedure and I wondered if there was a file/s I should have not taken out? I can't open the options/screen/keyboard to work. When I click on it nothing happened. Anyone know why or which file/s?

    Thanks!
    JP
  • g
    Dont know what Im doing wrong. Have a curve 8330. When I go to web adress above to download 4.5 I cant seem to get it. I registered my e-mail, etc. but I get the not authorized to download message. Can you please tell me how to download the software?
  • Nan Palmero
    @mossman maybe your spelling is good and it hasn't kicked you a message?
  • Mossman
    I'm not seeing the in-line spell checker, just the same old one that came with 4.3. Can anyone help me enable in-line spell checking?
  • Nan Palmero
    @doublelama you're welcome, glad it worked!

    @david try an unofficial version for your model. If you know your model but don't
    see the link listed in the comments, let me know and I'll find it for ya.
  • david
    OS 4.5 is not yet permitted by at&t. Itried numerous times to load it, but nmot yet granted permission to do so. I wonder why? DBR
  • doublelama
    Thanks Nan. The unofficial software and installation worked like a charm for my Sprint 8330 as did the support article for enabling HTML emails. All Sprint TV & Radio icons were left intact as well. The Facebook app did, however, disappear as someone else mentioned above but shouldn't be a problem to get back.
  • Nan Palmero
    @John P. Here is an unofficial release for it - 8830 - 4.5.0.101 - http://www.megaupload.com/?d=V1G8IYSR
  • John P.
    Another false alarm for my Sprint BES 8830WE. Not supported.
  • Nan Palmero
    @jeff you're most welcome, glad it worked out for ya!
  • Jeff
    @Nan:

    Thanks for all of your assistance!

    I successfully upgraded back to 4.5.0.97 with the help of your link, and all appears well so far - after a bit of research, I found my Sprint TV icon in my "entertainment" folder and it appears to have survived just fine...

    @DavidB: I agree...I see so many different comments sections on various blogs where folks seem too lazy to do the research to answer any of their own questions...
  • Nan Palmero
    Here's my suggestion for everyone that is having trouble. Remove ALL the previous versions of Desktop Manager (DM) and Operating Systems (OS). Then download the version of each that you want. In case you care, I am running DM 4.7 and OS 4.5.0.97 on my Sprint 8330 Curve. My Sprint TV, Sprint Radio and Sprint Navigation ALL work.

    @Kyle try doing an upgrade to 4.5.0.97 with the tips I wrote.

    @Jeff mine all work.

    @CM702 Sorry you are having trouble.

    @Brett Here's the info on turning on the HTML email http://is.gd/9CNT

    @Dasien This is OS 4.5, Bold uses 4.6. You can get a Bold theme here - http://store.blackberrycool.com/product.asp?id=...)
  • DavidB
    @CM702:
    Why get pissed at RIM and say Sprint has no fault here? RIM can't release Sprint device OS, only Sprint can. If there isn't a 4.5 for your Sprint device (8130/8330/8830) you have noone to blame but Sprint! The simple fact that there ARE 4.5's out there for those devices means RIM has created them, its up to Sprint to approve a 4.5 for their phones!

    Same for Verizon. The past couple 4.5's that leaked out have been at least no worse than what the 4.2's or 4.3's they offer. As I see it, the carriers are being FAR to stingy with OS releases, likely because they don't have people trained enough to handle support and they quite likely have to PAY RIM every time a support call gets handed off to RIM to resolve.

    So blame the carrier if there isn't a OS upgrade for your modern device. If you're still using a 7xxx or older series BB, yeah, you can blame RIM but honestly those things don't have enough memory for even a 4.3 OS, let alone 4.5 or better!
  • DavidB
    @Dasien:
    Bold has OS 4.6. Storm has OS 4.7. Not sure about Pearl Flip or the new 8900 Curve.

    @all: again, just the magic of getting OS 4.5+ on your device won't make html email work. Your carrier must have the right software (BIS) on their end, plus you must log into your carrier's BIS and do a "send service books".

    PLUS, only on newly received emails will you get the html. Old emails that were restored to your device after OS upgrade will NOT be magically displayed with their html enabled. Unless the email was received new on your device with all 3 conditions satisfied, html won't be there.

    And no, you don't need a Bold to receive pictures in html emails. Pearl's and Curve's and 8830's meeting the 3 conditions can happily display images that are in a html email.

    I really wish people would do some basic investigating before posting their suppositions as if they were facts here in the comments. And actually READ all the comments BEFORE posting questions that were answered long ago in the comments!
  • Jeff
    Okay, so I started the upgrade last night - all was well until IE hung on me and in the process of killing it, I killed Desktop Manager while it was upgrading!!!!

    Not a big deal, except I lost my Sprint TV, and had to rollback to 4.3 - phone works fine so far (haven't tested everything) still no Sprint TV though, and now I can't upgrade as I suddenly have "the most recent software" on my device...:(

    I deleted the vendor.xml file also...
  • Logan
    Kyle,

    That error is a JVM 523 error that translates to "System process died". Check this forum thread for info on how to fix it. I'd recommend the Javaloader approach with the utility listed in that thread (so you don't have to know the technical command line part of it)
    http://blackberryforums.pinstack.com/f74/jvm_er...


    Brett,

    It will be HTML email in the sense that you'll have links, etc. You won't get images unless you have a Bold with 4.6, I believe.
  • Dasien
    Is this the same software that Blackberry Bold uses? Will this look the same as the new Bold/Flip Pearls? I searched everywhere and couldn't find an answer.

    Does this have a the new GUI Theme that Bold Uses?
  • Brett
    Installed this for my sprint blackberry 8330 and it did install however im not noticing much of a difference. My emails look the same and the only thing ive noticed different is on the broswer there is a small google search box now at the top. Did i do something wrong? Dont see html emails
  • CM702
    What a waste of effort and time... I still have to use an unofficial release for my Sprint 8830 as RIM apparently hasn't seen fit to supply my company required non-camera unit with a modern and supported upgrade/update. I think my next unit won't be a Blackberry, I'm tired of the frustration and lack of support by the manufacturer (not the carrier, they can only inform you what they have been informed themselves by RIM).
  • Jeff
    Has anyone had problems with Sprint radio or TV on 4.5?

    I am skeptical about upgrading "unofficially" because I've heard it prevents them from working correctly...
  • Kyle
    Attempted this makeshift update last night for my Sprint Curve.
    My icons all disappeared and when navigating around I get an "App Error 523" every time I go back to the main screen.
    I will probably just downgrade from 4.5 back to 4.3 but I'm not having very much luck with that either.

    Any advice?
  • Nan Palmero
    @logan @davidb thank you both!
  • Logan
    For what its worth, all the unofficial builds that I've installed have required me to remove the vendor.xml file. If you're unsure of how to install an OS yourself, please read the forum link I've posted above.
  • DavidB
    @Rob:
    Look for a "vendor.xml" file and if found on hard drive delete it.

    Then run DM.

    And don't use the "check for updates" with DM. It's useless.
  • Nan Palmero
    @rob try rebooting your computer, plug in your device and try running the installer again.
  • rob
    Wow, nothing's working for me.

    Sprint 8330. Downloaded the files per the links in this thread, installed 'something' successfully. Seems to install something at C:\Program Files\Common Files\Research In Motion\Shared\Loader Files\8330-v4.5.0.97_P3.2.0.52

    Ran ..\AppLoader\Loader.exe, nuttin' honey. Still say I have the latest and greatest. Ran Desktop Manager 4.7, checked for updates... nothing there either.

    Ideas would be appreciated! :-D
  • smuttreja
    still no from sprint
  • Nan Palmero
    @jeffm are you on BES or BIS? If BES, it may need to be updated.Also, you can stream videos using http://d.qik.com, you get Documents to Go (be sure to register to get updates), photo geotagging and inline spell check, among other things.

    Regarding HTML email, resend the service books. Then check this link out from RIM if you are on BIS - http://www.blackberry.com/btsc/articles/498/KB1...
  • JeffM
    I see virtually no change from this upgrade. Definately not seeing HTML Email. Am I missing something?
  • Jean
    Got OS 4.5 for my BB 8330 from sprint WOOO HOOO!! The HTML e-mail is great. Can't wait for OS 4.6 lollll
  • Nan Palmero
    @KarlB sounds good, enjoy your weekend. :)
  • KarlB
    Nan -- Thank you. I am on BES and so will wait until next week to talk to IT.
  • Nan Palmero
    @Mary It appears that some people are having luck with that link (me and others) and some people are not. If you scroll up, you can find some of my posts that have the links to download 4.5 for your 8330.

    @12kyle The Desktop Manager (4.5) and the OS (4.5) are two different pieces of software. Try accessing the link in the post with your phone plugged in. If that doesn't work, you can try one of the "unofficial" releases mentioned here in the comments. Come back and ask if you have trouble.

    @KarlB Glad to help, sorry you are have trouble. Are you using Internet Explorer on a PC? You will likely need the desktop manager. Also, if you are on a BES, expect to get kicked off when you install the OS (it happens to everyone that is on a BES). So, if you're device is mission critical and your IT team isn't working today, you might wait until Monday.
  • KarlB
    Nan,

    Thanks so much for helping us out. I have a sprint 8330. When I attempt to use the updater (through blackberry.com/upgrades) I get the error:

    "HTTP Error 500: Internal Server Error

    An unexpected condition was encountered which prevented your requests from being fulfilled...Contact your service provider if this problem persists."

    Any idea what the problem is? Also, since my blackberry is provided by my company, I've not had a need to install the desktop manager. Do I need that program?

    Thanks again for all your help.
  • 12kyle
    i have the 8330 (sprint). i was able to download the 4.5 software to my computer (desktop manager). however, i haven't seen any change on my phone. am i doing something wrong? please help. thanks

    12kyle
  • Mary
    Sprint 8330 here. Tried the link from Nan @ http://www.blackberry.com/upgrades.
    Says I have the latest running software with factory 4.3 currently installed.
  • Nan Palmero
    @edward t Glad to help! Thanks for sharing that it worked for you. :)
  • edward t
    nan i want to thank you for that download link for sprint 8330 4.5 os. working fine.
  • Nan Palmero
    @illumuss You can get the official version for the 8310 (4.5.0.99) from Vodafone Slovenia here - http://www.simobil.si/_static/upload/8310M_PBr4...
  • illumuss
    at&t 8130 curve owners, you can download 4.5 with this torrent:
    http://thepiratebay.org/torrent/4109773/BlackBe...
    the os works pretty good, the video camera works as well. blackberry maps doesn't seem to work though, although you can download google maps to substitute.
  • Nan Palmero
    @JR You can get 4.5.0.52 (official) from Orange Romania from this link - https://www.blackberry.com/Downloads/entry.do?c...

    You will likely need to delete the vendor.xml file, though. (easy)
  • Nan Palmero
    @dan check out the 4.5.0.97 link I posted above. It works perfect for Sprint. The update I got was via www.blackberry.com/upgrades (4.5.0.77)
  • senyorcitoninja
    Nothing for me I think...

    Curve 8310
    AT&T
  • DavidB
    No luck 8830 Verizon. But I'm already running the .101 (and yeah it has a mem leak exacerbated by Viigo, but so does .77 and every other OS I've ever had on this 8830 including official Verizon releases).
  • Renee
    To Kyle... I have the Blackberry Pearl 8100 through T-Mobile and I've had the 4.5 OS for a few months now. I downloaded the unofficial version from the following web address: http://blackberryforums.pinstack.com/f7/blackbe...

    There are installation instructions that can be found on the page as well and if you follow those there should be no problem. It has been working extremely well on my Pearl for almost 3 months now. The only problem that I have encountere is when I first installed the update on my phone it kept restarting itself but this was due to the new OS not liking picture files that I had stored on my media card. Once I deleted the pictures it worked like a charm. I have since put the pictures back on and haven't encountered the problem again.
  • Dan
    If you have an 8330 on Sprint can some one supply the liks they used to get 4.5 installed on their BB? Oh also is it the official version for Sprint? Thanks!
  • JR
    Device O/S 4.5 is still not available for T-Mobile BlackBerry® 8700g, still showing Handheld Software (v 4.2.1.107) as what's available.

    Get with it T-Mobile!
  • Dan
    Sprint 8330 Desktop manager 4.7
    Fh
  • Songe
    Thanks, Nan Palmero I downloaded the lastist Blackberry desk top manager 4.6 and went to the link http://www.mediafire.com/?gnvehbcgiw3 and it worked like a charm. I now have 4.5. software on my blackberry 8330 device. Good job :o)
  • Logan
    Also, for all you that are installing the unofficial OS's, see the following walkthrough by John Clark on how to optimize your new install. This can also help you clear out unused applications and themes that can't be accessed via the application loader on your desktop.


    http://www.blackberryforums.com/general-blackbe...
  • deacon
    @Nan Palmero I Stayed up way too late digging around the new features. So great.

    Thanks for all of your help. Happy Turkey Day.
  • bentonsedge
    Monday I received an email from blackberry saying that the upgraded OS 4.5 is available for my Sprint Blackberry Curve 8330. So I have been trying to upgrade for days, but no luck.

    Current OS
    V4.3.0.127 (Platform 3.1.0.73)

    The Application Loader comes up, and after awhile says:

    "Your blackberry device is running the latest available software."
  • LouTreize
    Woops, I LOVE how the link I gave out for .77 was already mention but Nan. Didn't see that. Still, let us know how it goes.
  • LouTreize
    @D_Dog @Brandon - 4.5.0.77 beta - I've been running it since it came out. Never had problems. I'm not sure how the .101 runs though, I never upgraded to that. Here's the link to .77, let us know how it goes.

    http://www.mediafire.com/?gnvehbcgiw3

    Carrier: Bell Mobility
    Model#: 8830
  • Nan Palmero
    @D_Dog you could always update with one of the unofficial OS's - 4.5.0.77 or 4.5.0.101 if you want to walk on the wild side. :)
  • brandon
    no on verizon/8830
  • D_Dog
    No on Verizon 8830. Prob. never will either. The 8830 is being replaced early next year I hear.
  • Nan Palmero
    Some people are reporting memory leak issues on the 8830 4.5.0.101 version and they feel that 4.5.0.77 is more stable. Want to try that instead? Here ya go!
    http://www.mediafire.com/?gnvehbcgiw3
  • Nan Palmero
    Looks like it broke my link. Go up a few posts and it is there, in all its glory.
  • Nan Palmero
    @logan thanks man! The 8330 OS 4.5.0.97 is available here - http://www.mediafire.com/?woyi0×2inim
  • Logan
    Oops, forgot the link.

    http://na.blackberry.com/eng/services/desktop/

    Also, HTML email on BIS is limited by carriers, so 4.5 may not actually take care of your problem depending on your carrier. I would look into Empower or BBsmart's email solutions, as they provide image support as well. There is a head to head on BBcool that can be found here: http://www.blackberrycool.com/2008/06/head-to-h... Also, they're half price for 2 more days. Hit the buy key already!!!
  • Logan
    Nan,

    I believe the most recent software refers to the desktop software, not the device software. Go to the link below, click download, select desktop 4.5, and install it. That MAY solve your problems.
  • Logan
    Darmichar,

    I'm running 4.5.0.97 on Alltel and have been sending/receiving MMS just fine. If you want my copy of 4.5.097, I think I still have the executable that I could throw up on a mirror somewhere. Hitting me up on Twitter on hartlogan would be preferrable, but you can also email me hartlogan (at) gmail dot com if you don't have/want Twitter.

    Logan
  • jim
    nan do you have an unofficial version for my sprint 8330?
  • Nan Palmero
    @neil right on, glad to help!
  • Neil
    @nan: installed it, now just waiting for everything to get loaded...thanks again!
  • Kyle
    anyone having luck with 8100 for T mobile? I get the 'fatal error message'. I don't even have 4.3 Still stuck with 4.2
  • Nan Palmero
    @bill here is an unofficial OS 4.5.0.102 for the 8120 - http://www.mediafire.com/?jmmtyzwmvz2
  • Bill
    No for the 8120 on T-Mobile!!!!!
  • Neil
    Called Sprint (i know...) and they said that they still haven't released it for the 8330...got the d/l link to work, and the guy on the phone did mention that I could install another carrier's os, just that they couldn't support it...
  • Nan Palmero
    @neil One more try http://www.mediafire.com/?woyi0x2inim

    Glad to help!
  • Neil
    @nan: tried that...just get the welcome screen...thanks for all the help...i've had enough of my blackberry tonight, methinks. congrats to all who got it to work!
  • Nan Palmero
    @deacon congratulations!

    @neil copy and paste the link into your address bar, it seems that it didn't keep the last few letters attached to the link. Not sure why.
  • Neil
    also, the d/l link for the 8330 seems to be broken...i just get a welcome screen from mediafire...and i tried copying and pasting it instead of clicking, too...
  • deacon
    success!
  • Neil
    I even entered my PIN into RIM's website (blackberry.com/hhupgrade) that tells you if 4.5 is available for your device...it says it isnt...
  • Nan Palmero
    On these unofficial installs, you don't have to delete the vendor.xml. Honestly, for those that are hitting up www.blackberry.com/upgrades and getting the response that you have the latest software (when you have 4.3), I have to say that I am befuddled. I am happy to have someone smarter than me tell me what I'm missing.
  • Neil
    @nan: i haven't had an unofficial os installed on my Sprint 8330, but still get the "latest available software" message...any thoughts? I'm not sure if I'm ready to install something unofficial with all the vendor xml stuff and all...
  • deacon
    I'm actually not rolling back but trying one of the unofficial. It appears to be working... We'll see.
  • Nan Palmero
    @edward t you could try one of the links I provided. @Carney, an 8830 link is provided for your convenience!
  • edward t
    deacon what are you rollong backdesktop manager or you have another carriers 4.5 os
  • deacon
    I will try anything at this point. Rolling back.
  • edward t
    deacon i get the same message
  • Stixx
    tried to upgrade but when the app loader pops up is says "An error has occured while checking your device. please check your internet try again later". anyone have an idea what that means as i'm currently online know and everything seems fine to me. thanks in advance for any help
  • Nan Palmero
    Ok folks, got the clearance that I was looking for. Here is what I've learned from Douglas (smart dude, btw)...

    If you had run an unfinal OS previously, you may have to roll back before you can update via the updater. Now, for those of you who haven't had any luck and want to try your hand at unofficial OS's (my wife is running one and having good luck), here are the links:

    8130 - 4.5.0.97 - http://www.mediafire.com/?4jwwlymnge4
    8330 - 4.5.0.97 - http://www.mediafire.com/?woyi0×2inim
    8830 - 4.5.0.101 - http://www.megaupload.com/?d=V1G8IYSR
  • Matt F
    @nan, same result as @edward.

    Sprint Blackberry 8330, trying http://www.blackberry.com/upgrades on a Vista machine.

    Tells me I am running the latest version of the OS. My phone is at 4.3.

    Any ideas?
  • deacon
    UPDATE:

    1. I was running desktop manager 4.3, just installed 4.7

    2. from my XP machine the apploader loads faster and actually says:
    "Your Blackberry device is running the latest available software. Click next to be notified by email when new software becomes available."

    I want HTML email so bad I can taste it. I can taste the HTML.
  • edward t
    in the upgrade link you sent me it says i am running the lastest available software
  • Nan Palmero
    @deacon let me see what I can find out for you!
  • Neil
    I used the /upgrades version and still it says that I have the most current...have rebooted my computer, will try a pull, too, to see if that helps. D/a/m/n Sprint!
  • Nan Palmero
    @edward t use the upgrades version instead and let me know what you get please.
  • edward t
    the carriers part
  • Nan Palmero
    @edward t are you using www.blackberry.com/upgrades or are you going to the carrier part of blackberry.com? Try /upgrades if you haven't already.
  • edward t
    nan i do have desktop manager installed version 4.6
  • Neil
    Just tried it with my Sprint 8330 curve...have the lastest version of desktop manager installed on my XP machine...still tells me I have the most current version... *is sad*
  • edward t
    carrier sprint
    model 8330

    no luck yet the upgrade from blackberry's site says i have the most current version 4.3.
    nan where are you finding this upgrade?
  • Frank
    Has anyone tried this on a Verizon 8830?
  • deacon
    @Nan Palmero well now you're just rubbing it in...

    I know this has nothing to do with it, but I am running on a Vista machine. I mention it only because I am used to that being the cause of my aggravation...
  • ncswerve
    There is no update to 4.5 on Alltel Blackberry Curve 8330. I entered my email address in to be notified!
  • deacon
    Carrier: Sprint
    Model: 8130
    Using blackberry.com/upgrades redirects to: http://na.blackberry.com/eng/update/

    There I click upon a green button "Check for updates" which runs a ~21mb application loader which recognizes the most up to date OS as 4.3 and some change.
  • Nan Palmero
    Now running 4.5.0.77 on my Sprint 8330.
  • Jon
    I must be too old, no idea how to hit you up on twitter, lol.

    Carrier: Sprint
    Model #: 8330
    Yes, used blackberry.com/upgrades and have desktop manager 4.5 installed.
  • Nan Palmero
    If you are on twitter, hit me up @nanpalmero. Let's see if I can help get you fixed up! Then we can come back here and post some answers. If you are having problems here and don't have twitter, post the following info please:

    Carrier:
    Model #:
    Are you using www.blackberry.com/upgrades?
    Do you have the desktop manager installed?
  • Nan Palmero
    I am doing the update as we speak. This is very peculiar.
  • deacon
    @Nan Palmero, yes. I am using Sprint and others seem to be having trouble finding the update as well. cats!
  • edward t
    there is no upgrade for sprint.
  • artie
    I have Sprint 8130 and said i have the most current software, 4.3
  • Jon
    Just tried again...running 4.3.0.127 on my 8330 and the updater said I was running the latest version. Is this available for download anywhere?
  • edward t
    checked sprint for an upgrade to 4.5 and no luck. can anybody confirmt his
  • Nan Palmero
    @Jon @deacon @macbastard are you using www.blackberry.com/upgrades?
  • Christie
    I have the new 4.5. I had it before today apparently. When I went to update, the desktop software said there were no new updates. I checked my phone and sure enough I already had 4.5. I can't understand why I am not getting HTML emails yet.
  • Jon
    I'm still seeing 4.3 for Sprint.
  • Nan Palmero
    @christie thanks for the update!
  • Christie
    I just checked uscellular. They have 4.5 up on their website. Just in case there are any uscellular users out there.
  • Nan Palmero
    @me this is news to us via www.blackberry.com/upgrades Verizon has had this (and pulled it for a little while), Sprint hasn't to my knowledge.
  • deacon
    this is frustrating. I have a Sprint Pearl and am getting no love. It just wants me to run an updater, which wants to push 4.3, which I already have.

    grr
  • MacBastard
    For the Pearl 8100, still no go on T-Mo. D'oh!
  • me
    Is this something new? Verizon has had 4.5.0.77 since 10/31/08 according to their website
    http://vzw.smithmicro.com/blackberry/download.a...
  • Nan Palmero
    Anyone on T-Mo or AT&T try the update yet? Any other carriers users want to let us know if it allowed for 4.5 please?
  • Nan Palmero
    @Jon this is an official release from RIM, not a leak or a hack. You shouldn't have any issues (that you wouldn't also have by downloading directly from Telus)
  • Jon
    I'll wait until Telus makes an official version since I don't want to have issues.
  • Carney
    Does anyone know what's going on with the 4.5 OS for the 8800 series phones and specifically the 8830?
  • gambit32
    I'm not showing anything for my AT&T Curve.
  • Lightstar Angel
    OS 4.5 is available for T-Mobile as well - I downloaded it for my Curve 8320 a few weeks ago and it works fine!
  • Darmichar
    @Lou: It's a known problem that Alltel is supposedly trying to fix. There were several of us that tried the 4.5 OS when it first appeared and had the same problems with being able to send but not receive MMS messages after the upgrade. I haven't seen if subsequent upgrades to 4.5 have fixed the problem, and really don't feel like trying each one just to see if MMS works.
  • Jason
    I'm a Telus 8330 Curve user. This download worked great, right out of the box for me.
  • LouTreize
    @ Darmichar Interesting, never thought upgrading can give MMS services a hard time, silly upgrades! Maybe someone else can chime in and help you out. Check the forums out, good luck.
  • LouTreize
    Failed to mention that if you need to install this OS (for a non Sprint/Verizon 8330), make sure you're confident and comfortable to do so. If not, wait for your carrier to release one or make a professional do the job for you.
  • Darmichar
    Yes, I know. I have already had the 4.5 OS on my phone and had to revert back to 4.3
    It seems the 4.5 OS and Alltel's MMS system do not like each other.
  • LouTreize
    @ Jon, Darmichar You're able to install the OS, regardless if you're on Telus or Alltel.

    Visit this page for some information on how to pull it off: http://www.blackberryforums.com/general-8300-se...

    @ Nan You made CDMA users happy today. Now, tuck your shirt. :P
  • rob
    sprint here. Had to try the ActiveX a couple of times. (server overloaded?) "Do you want to be notified?"
  • Darmichar
    Still nothing for Alltel.
    I wonder just how long they plan to drag their feet on this one, this is getting ridiculous
  • Jon
    How about Telus?
  • Faisalpalijo
    8800 upgrade 4.5 0s plz tell me any any buddy?
blog comments powered by Disqus



Bad Behavior has blocked 48371 access attempts in the last 7 days.